Uploaded image for project: 'Percona Server'
  1. Percona Server
  2. PS-667

LP #1186831: Rpm Server package should depend on client and conflict with mysql-libs

    Details

    • Type: Bug
    • Status: Done
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Packaging
    • Labels:

      Description

      **Reported in Launchpad by Ignacio Nin last update 03-06-2013 13:18:17

      When yum installing Percona-Server-server-56, the client package isn't marked for install. Furthermore, if mysql-libs is previously installed it generates a conflict:

      1. yum install Percona-Server-server-56

      (1/2): Percona-Server-server-56-5.6.11-rc60.3.375.rhel6.x86_64.rpm | 18 MB 01:32
      (2/2): Percona-Server-shared-56-5.6.11-rc60.3.375.rhel6.x86_64.rpm | 694 kB 00:05
      --------------------------------------------------------------------------------------------------------------------------------Total 190 kB/s | 18 MB 01:39
      Running rpm_check_debug
      Running Transaction Test

      Transaction Check Error:
      file /usr/share/mysql/czech/errmsg.sys from install of Percona-Server-server-56-5.6.11-rc60.3.375.rhel6.x86_64 conflicts with
      file from package mysql-libs-5.1.69-1.el6_4.x86_64
      file /usr/share/mysql/danish/errmsg.sys from install of Percona-Server-server-56-5.6.11-rc60.3.375.rhel6.x86_64 conflicts with file from package mysql-libs-5.1.69-1.el6_4.x86_64
      (...)

      To fix this, we need to port the appropriate Conflicts: and Requires: from 5.5.

        Attachments

          Expenses

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                lpjirasync lpjirasync (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: